import { dateUtil } from '@csii/vx-util';

const name = {
  '': '当天',
  '-7d': '近一周',
  '-15d': '近半月',
  '-1M': '近一月',
  '-3M': '近三月',
  '-6M': '近半年',
  '-1y': '近一年',
  '-2y': '近两年',
  '-3y': '近三年',
};

const shortcuts = function(arr = ['-7d', '-15d', '-1M', '-3M']) {
  let shortcuts = [];

  new Set(arr).forEach((element) => {
    shortcuts.push({
      text: name[element],
      onClick(picker) {
        // 避免影响到'当天'
        const start = dateUtil.changeDate(element ? '1d' : '', dateUtil.changeDate(element, '', 'YYYY-MM-DD'), 'YYYY-MM-DD');
        const end = dateUtil.getDate('', '', 'YYYY-MM-DD');
        picker.$emit('pick', [start, end]);
      },
    });
  });
  return {
    shortcuts,
  };
};
export default shortcuts;
